Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
Get Message
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id} \
  --header 'Authorization: Bearer <token>'
{
  "inbox_id": "<string>",
  "thread_id": "<string>",
  "message_id": "<string>",
  "labels": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "from": "<string>",
  "to": [
    "<string>"
  ],
  "size": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "reply_to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "subject": "<string>",
  "preview": "<string>",
  "text": "<string>",
  "html": "<string>",
  "extracted_text": "<string>",
  "extracted_html": "<string>",
  "attachments": [
    {
      "attachment_id": "<string>",
      "size": 123,
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>"
    }
  ],
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "headers": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

message_id
string
required

ID of message.

Response

Response with status 200

inbox_id
string
required

The ID of the inbox.

thread_id
string
required

ID of thread.

message_id
string
required

ID of message.

labels
string[]
required

Labels of message.

timestamp
string<date-time>
required

Time at which message was sent or drafted.

from
string
required

Address of sender. In format username@domain.com or Display Name <username@domain.com>.

to
string[]
required

Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.

size
integer
required

Size of message in bytes.

updated_at
string<date-time>
required

Time at which message was last updated.

created_at
string<date-time>
required

Time at which message was created.

reply_to
string[]

Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.

cc
string[]

Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.

bcc
string[]

Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.

subject
string

Subject of message.

preview
string

Text preview of message.

text
string

Plain text body of message.

html
string

HTML body of message.

extracted_text
string

Extracted new text content.

extracted_html
string

Extracted new HTML content.

attachments
Attachment · object[]

Attachments in message.

in_reply_to
string

ID of message being replied to.

references
string[]

IDs of previous messages in thread.

headers
MessageHeaders · object

Headers in message.